<?php

class FbTopsFrontend {

  function shortcode_display() {
    $output = FbTopsFrontend::display_top_from_database();
   return  $output;
  }

   private function display_top_from_database() {
     $top_api = new FbTopsMain();
     
    $query_for_pagination = '';

    if (isset($_GET['facebook_likes'])) {

      switch ($_GET['facebook_likes']) {
        case 'ASC':
          $like = "DESC";
          $likes = "ASC";
          $sort = 'facebook_likes ASC';
          $query_for_pagination = 'facebook_likes=' . $likes;
          break;
        case 'DESC':
          $like = "ASC";
          $sort = 'facebook_likes DESC';
          $likes = "DESC";
          $query_for_pagination = 'facebook_likes=' . $likes;
          break;
        default:
          $like = "ASC";
          $sort = 'facebook_likes ASC';
          $likes = "DESC";
          $query_for_pagination = 'facebook_likes=' . $likes;
      }
    }
    else {
      $like = "DESC";
      $sort = 'facebook_likes DESC';
    }
    if (isset($_GET['facebook_shares'])) {
      switch ($_GET['facebook_shares']) {
        case 'ASC':
          $share = "DESC";
          $shares = "ASC";
          $sort = 'facebook_shares ASC';
          $query_for_pagination = 'facebook_shares=' . $shares;
          break;
        case 'DESC':
          $share = "ASC";
          $shares = "DESC";
          $sort = 'facebook_shares DESC';
          $query_for_pagination = 'facebook_shares=' . $shares;
          break;
        default:
          $share = "ASC";
          $shares = "DESC";
          $sort = 'facebook_shares ASC';
          $query_for_pagination = 'facebook_shares=' . $shares;
      }
    }
    else {
      $share = "DESC";
    }
    if (isset($_GET['comments'])) {
      switch ($_GET['comments']) {
        case 'ASC':
          $comments = "DESC";
          $comms = "ASC";
          $sort = 'comments ASC';
          $query_for_pagination = 'comments=' . $comms;
          break;
        case 'DESC':
          $comments = "ASC";
          $comms = "DESC";
          $sort = 'comments DESC';
          $query_for_pagination = 'comments=' . $comms;
          break;
        default:
          $comments = "ASC";
          $comms = "DESC";
          $sort = 'comments DESC';
          $query_for_pagination = 'comments=' . $comms;
          print $sort;
      }
    }
    else {
      $comments = "DESC";
    }


    $permalink = get_permalink();
    $querystring = '?';
    if (strpos($permalink, "?") !== false) {
      $querystring = '&';
    }
    $toppage = $_GET['toppage'];
    if ($top_api->top_pagination == 1) {
      $pagination = '<div class="pagination"><ul style="list-style:none" class="pagination">';
      $pagination_array = $top_api->make_pagination();
      if (!empty($query_for_pagination)) {
        $query_for_pagination .= '&toppage=';
      }
      else {
        $query_for_pagination .= 'toppage=';
      }
      $link = $permalink . $querystring . $query_for_pagination;
      if ($toppage > 1) {
        $pagination .= '<li style="display:inline-block;margin-right:3px;" class="previous"><a href="' . $link . ($toppage - 1) . '"> &laquo; ' . __('Prev', 'fbtops') . '</a></li>';
      }
      for ($i = 1; $i <= $pagination_array['pnums']; $i++) {
        if ($i != $toppage) {
          $pagination .= '<li style="display:inline-block; margin-right:3px;" class="previous"><a href="' . $link . $i . '">' . __($i, 'fbtops') . '</a></li>';
        }
        else {
          $pagination .= '<li style="display:inline-block;margin-right:3px;" class="pagination_current">' . __($i, 'fbtops') . '</li>';
        }
      }
      if ($toppage < $pagination_array['pnums']) {
        $pagination .= '<li style="display:inline-block;" class="next"><a href="' . $link . ($toppage + 1) . '"> &raquo; ' . __('Next', 'fbtops') . '</a></li>';
      }
      $pagination .= '</ul></div>';
    }
    $table_header = '<table class="fbposttop" id="' . $top_api->top_name . '_' . $top_api->top_id . '">';
    $table_header .= '<th>' . __('Rank', 'fbtops') . '</th>';
    $table_header .= '<th><a href="' . $permalink . $querystring . 'facebook_likes=' . $like . '&toppage=' . $toppage . '">' . __('Likes', 'fbtops') . '</a></th>';
    $table_header .= '<th><a href="' . $permalink . $querystring . 'facebook_shares=' . $share . '&toppage=' . $toppage . '">' . __('Shares', 'fbtops') . '</th>';
    $table_header .= '<th><a href="' . $permalink . $querystring . 'comments=' . $comments . '&toppage=' . $toppage . '">' . __('Comments', 'fbtops') . '</th>';
    $table_header .= '<th>' . __('Post', 'fbtops') . '</th>';
    $table_footer = '</table>';
    $table_rows = $top_api->display_table_rows($sort);
    return $pagination . $table_header . $table_rows . $table_footer;
  }
  
  
}
