<?php
$pagination = 0;

$top_api = new FbTopsMain();
// check if top was definded. 
$is_top = $top_api->checkIfTop();
//print_r($is_top);
$categories = get_categories();

if ($is_top) {
  if ($is_top['pagination'] == 1)
    $pagination = 1;
}
?>
<div class="wrap">
  <div id="message" class="hidden"></div>
  <div id="icon-plugins" class="icon32"></div>
  <div id="donate" class="updated"><?php echo __('Do you like our plugin? Than give us a beer.'); ?>

    <form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
      <input type="hidden" name="cmd" value="_s-xclick">
      <input type="hidden" name="hosted_button_id" value="8FB4SLG8GTUZL">
      <input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
      <img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
    </form>
  </div>
  <div id="short_code" class="updated">
    <?php echo __('In order to display the top please use the folowing shortcode: "[fbtops]"', 'fbtops'); ?>
  </div>
  <h2><?php if (!$is_top)
      echo __('Add FB top', 'fbtops');
    else
      echo __('Edit FB top', 'fbtops');
    ?></h2>
  <form method="post" action=""> 
    <table class="form-table">
      <tr>
        <th scope="row">
          <label for="top_name"><?php echo __('Top Name', 'fbtops'); ?><span> *</span>: </label>
      <p class="description"><?php echo __('Only for internal purposes', 'fbtops'); ?></p>
      </th>
      <td>
        <input type="text"  id="topname" maxlength="255" size="45" name="topname" value="<?php if ($is_top) echo __($is_top['name'], 'fbtops'); ?>"/>
      </td>
      </tr>
      <tr>
        <th scope="row">
          <label for="post_categories"><?php echo __('Post Categories', 'fbtops'); ?><span> *</span>: </label>
      <p class="description"><?php echo __('The free version works with up to 200 posts per category.', 'fbtops'); ?></p>
      </th>
      <td>
        <div class="categorydiv">
          <ul id="categorychecklist" class="categorychecklist">
<?php foreach ($categories as $category) { ?>
              <li class="popular-category" id="category-<?php print $category->term_id; ?>">
                <label class="selectit">
                  <input value="<?php print $category->term_id; ?>" type="checkbox" name="post_category[]" id="in-category-<?php print $category->term_id; ?>" <?php if ($is_top) if (in_array($category->term_id, $is_top['categories'])) print 'checked="checked"';  ?> />
              <?php print $category->name; ?>
                </label>
              </li>
<?php } ?>
          </ul>
        </div>
      </td>
      </tr>
      <tr>
        <th scope="row">
          <label for="pagination"><?php echo __('Pagination', 'fbtops'); ?>:</label>
        </th>
        <td>
          <input type="checkbox" value="1" id="pagination" name="pagination" <?php if ($pagination == 1) print 'checked="checked"'; ?>/>
        </td>
      </tr>
      <tr>
        <th scope="row">    
          <label for="pagination_style"><?php echo __('Pagination style', 'fbtops'); ?>: </label>
        </th>
        <td>
          <select id="pagination_style" name="pagination_style"> 
            <option value="25" <?php if ($is_top['pagination_style'] == 25) print 'selected="selected"'; ?>>25</option>
            <option value="50" <?php if ($is_top['pagination_style'] == 50) print 'selected="selected"'; ?>>50</option>
            <option value="75" <?php if ($is_top['pagination_style'] == 75) print 'selected="selected"'; ?>>75</option>
            <option value="100" <?php if ($is_top['pagination_style'] == 100) print 'selected="selected"'; ?>>100</option>
          </select>
        </td>
      </tr>
    </table>
    <div id="ajax_call">
      <?php if (!$is_top): ?>
        <a id ="save" class="button-primary" style="float:left;" href="<?php bloginfo('wpurl'); ?>/wp-admin/admin-ajax.php"><?php print __('Save', 'fbtops'); ?></a>
      <?php else: ?>
        <a id ="edit" class="button-primary" style="float:left;" href="<?php bloginfo('wpurl'); ?>/wp-admin/admin-ajax.php"><?php print __('Update', 'fbtops'); ?></a>
        <a id ="delete" class="button-primary" style="float:left;" href="<?php bloginfo('wpurl'); ?>/wp-admin/admin-ajax.php"><?php print __('Delete', 'fbtops'); ?></a>
<?php endif; ?>
      <div id="waiting" class="hidden"><div class="spinner_fbtops"><?php echo __('Please wait while we take the data from Facebook. This may take several minutes.', 'fbtops') ?><img src="<?php print plugins_url('/fbtops/media/images/loader.gif'); ?>"/></div></div>
    </div>
  </form>
  <div class="ajax_response" id="ajax_response"></div>
</div>